> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kair.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Post authvalidate magic link



## OpenAPI

````yaml /openapi.json post /auth/validate-magic-link
openapi: 3.0.0
info:
  title: Kair Voice
  version: '1.0'
servers:
  - url: http://0.0.0.0:8000/api
security: []
tags:
  - name: Admin
  - name: ApiKey
  - name: Auth
  - name: Concerns
  - name: Device
  - name: Graph
  - name: Health
  - name: Job
  - name: Session
  - name: Workshop
  - name: Workspace
paths:
  /auth/validate-magic-link:
    post:
      tags:
        - Auth
      operationId: post-auth-validate-magic-link
      requestBody:
        content:
          application/json; charset=utf-8:
            schema:
              $ref: '#/components/schemas/ValidateTokenRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ValidateTokenResponse'
          headers:
            SET-COOKIE:
              deprecated: false
              schema:
                type: string
        '400':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ValidateTokenRequest:
      type: object
      title: ValidateTokenRequest
      required:
        - token
      properties:
        token:
          type: string
    ValidateTokenResponse:
      type: object
      title: ValidateTokenResponse
      required:
        - token
        - user
      properties:
        token:
          type: string
        refresh_token:
          type: string
        user:
          $ref: '#/components/schemas/UserInfo'
        workspace_id:
          type: string
    ErrorResponse:
      type: object
      title: ErrorResponse
      required:
        - success
        - message
      properties:
        success:
          type: boolean
        message:
          type: string
    UserInfo:
      type: object
      title: UserInfo
      required:
        - id
        - email
        - is_guest
        - role
        - created_at
      properties:
        id:
          type: string
        email:
          type: string
        name:
          type: string
        is_guest:
          type: boolean
        role:
          $ref: '#/components/schemas/UserRoleResponse'
        created_at:
          type: string
    UserRoleResponse:
      type: string
      enum:
        - participant
        - moderator
        - admin

````